#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: crypto-pubkey
version: 0.2.8
id: crypto-pubkey-0.2.8-8auqTpjdyX415preRQDxyO
key: crypto-pubkey-0.2.8-8auqTpjdyX415preRQDxyO
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-crypto-pubkey
synopsis: Public Key cryptography
description:
    Public Key cryptography
    .
    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
    .
    Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
indefinite: False
exposed-modules:
    Crypto.PubKey.DH Crypto.PubKey.DSA Crypto.PubKey.ECC.DH
    Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.RSA
    Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PKCS15
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
abi: 93235c109a362cf061ceaa9879693dbf
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/crypto-pubkey-0.2.8
library-dirs: /usr/lib/ghc-8.2.2/site-local/crypto-pubkey-0.2.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.2/crypto-pubkey-0.2.8
hs-libraries: HScrypto-pubkey-0.2.8-8auqTpjdyX415preRQDxyO
depends:
    base-4.10.1.0 bytestring-0.10.8.2
    byteable-0.1.1-4PLPgH6a2E14oN7yL5y3oL
    crypto-random-0.0.9-LWEhEC6ANH6HozLxqpqzF2
    crypto-pubkey-types-0.4.3-LaswbYHmVtYHTnDpOjFrZR
    cryptohash-0.11.9-ItiZWGANyfz9sM9JRRrodE
    crypto-numbers-0.2.7-2aW4CXGWQ34INrM2ZHMwH9
abi-depends: base-4.10.1.0=0ea45191c57c268b2351cb731ab6a0d6
             bytestring-0.10.8.2=4b2726b654ceeff6535e698a2a1e724e
             byteable-0.1.1-4PLPgH6a2E14oN7yL5y3oL=d7caed3dfdc2cc9400ff9a46cbe7296d
             crypto-random-0.0.9-LWEhEC6ANH6HozLxqpqzF2=7cbf417ed3e46627be11afad5a8aa36a
             crypto-pubkey-types-0.4.3-LaswbYHmVtYHTnDpOjFrZR=a676fcefe6c7b0797dece1fdca29ab76
             cryptohash-0.11.9-ItiZWGANyfz9sM9JRRrodE=e1ceebfd60ff7e0fcf38938299d2ceab
             crypto-numbers-0.2.7-2aW4CXGWQ34INrM2ZHMwH9=f5fb0bedfaee4d855a9b3f50ca444b38
haddock-interfaces: /usr/share/doc/haskell-crypto-pubkey/html/crypto-pubkey.haddock
haddock-html: /usr/share/doc/haskell-crypto-pubkey/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

